%define ver      1.9.3
%define rel      alt1

Summary: Graphics file browser utility
Name: gliv
Version: %ver
Release: %rel
License: GPL
Group: Graphics
Source: http://guichaz.free.fr/gliv/%name-%ver.tar.bz2
Url: http://guichaz.free.fr/gliv

Requires: libgtk+2 >= 2.4
Requires: libgtkglext >= 0.7.0

# Automatically added by buildreq on Fri Apr 22 2005
BuildRequires: fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libgtkglext-devel libpango-devel pkgconfig xorg-x11-mesagl

%description
GLiv is an OpenGL image viewer, image loading is done via Gdk-pixbuf bundled
with GTK+-2.4, rendering  with OpenGL and the graphical user interface uses
GTK+ with GtkGLExt.  GLiv  is  very  fast  and smooth at rotating, panning  and
zooming  if  you have an OpenGL accelerated graphics board.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall
mkdir -p  %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): command="%_bindir/%name" \
	section="Multimedia/Graphics" \
	title="GLiv" \
	icon="%name.png" \
	needs="X11"  \
        longtitle="GL Image Viewer"
EOF
%__install -d %buildroot%_datadir/pixmaps
%__install -d %buildroot%_datadir/applications
%__install -m 644 %name.png %buildroot%_datadir/pixmaps/%name.png
%__install -m 644 %name.svg %buildroot%_datadir/pixmaps/%name.svg
%__install -m 644 %name.desktop %buildroot%_datadir/applications/%name.desktop

%find_lang --with-man --output=%name.lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README COPYING NEWS THANKS
%_bindir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%_menudir/%name

%changelog
* Sat Aug 13 2005 LAKostis <lakostis at altlinux.org> 1.9.3-alt1
- 1.9.3.

* Fri Apr 22 2005 LAKostis <lakostis at altlinux.org> 1.9.2-alt1
- 1.9.2.
- update Buildreqires
- update man pages.

* Fri Jan 15 2005 LAKostis <lakostis at altlinux.org> 1.9.1-alt0.1
- 1.9.1.
- reformat description.

* Mon Oct 04 2004 LAKostis <lakostis at altlinux.org> 1.8.4-alt1.2
- #5276 (fix Requires).

* Sat Sep 25 2004 LAKostis <lakostis at altlinux.org> 1.8.4-alt1.1
- #5233
- update translation.

* Sat Sep 11 2004 LAKostis <lakostis at altlinux.org> 1.8.4-alt1
- initial build for Sisyphus.
